package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyfacilityequipmentcheck.ElderlyFacilityEquipmentCheckPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyfacilityequipmentcheck.ElderlyFacilityEquipmentCheckRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyfacilityequipmentcheck.ElderlyFacilityEquipmentCheckSaveReqVO;

public interface ElderlyFacilityEquipmentCheckService {

    Long create(ElderlyFacilityEquipmentCheckSaveReqVO createReqVO);

    void update(ElderlyFacilityEquipmentCheckSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyFacilityEquipmentCheckRespVO get(Long id);

    PageResult<ElderlyFacilityEquipmentCheckRespVO> getPage(ElderlyFacilityEquipmentCheckPageReqVO pageReqVO);
}
